unit communicationsettings;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, IniFiles;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    EditIPAddress: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    EditPortNumber: TEdit;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    function ReadCommunicationSettingsIniFile(): TStrings;
    procedure WriteCommunicationSettingsIniFile();
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure PutValues();
  private
     FileIni: TIniFile;
    { Private declarations }
  public

    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);

begin
   PutValues();
end;

procedure TForm2.WriteCommunicationSettingsIniFile;
begin
  FileIni:=TIniFile.Create('.\gestapo\communications.ini');
  FileIni.WriteString('Settings','IP',EditIPAddress.Text);
  FileIni.WriteString('Settings','Port',EditPortNumber.Text);
  FileIni.free;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  WriteCommunicationSettingsIniFile();
  close;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
   PutValues();
end;

procedure TForm2.PutValues;
var Communicationsettings: TStrings;
begin
   Communicationsettings:=ReadCommunicationSettingsIniFile();
   EditIpAddress.Text:=Communicationsettings.strings[0];
   EditPortNumber.Text:=Communicationsettings.strings[1];
end;

function TForm2.ReadCommunicationSettingsIniFile(): TStrings;
var Communicationsdata: TStrings;
begin
  Communicationsdata:=TStringList.Create();
  result:=communicationsdata;
  if FileExists('.\gestapo\communications.ini') then
  begin
    FileIni:=TIniFile.Create('.\gestapo\communications.ini');
    Communicationsdata.Add(FileIni.ReadString('Settings','IP','0,0,0,0'));
    Communicationsdata.Add(Fileini.ReadString('Settings','Port','0'));
  end
  else exception.Create('file not found!');
  FileIni.Free;
end;
end.
